Multivariate Pattern Analysis in Python

# mvpa2.base.report.borrowkwargs

`mvpa2.base.report.``borrowkwargs`(cls, methodname=None, exclude=None)

  Return a decorator which would borrow docstring for `**kwargs`

  Parameters:

  methodname : None or str

  > Name of the method from which to borrow. If None, would use the same name as of the decorated method

  exclude : None or list of arguments to exclude

  > If function does not pass all `**kwargs`, you would need to list those here to be excluded from borrowed docstring

  Notes

  TODO: take care about `*args` in a clever way if those are also present

  Examples

  In the simplest scenario – just grab all arguments from parent class:

      @borrowkwargs(A)
      def met1(self, bu, **kwargs):
          pass